aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorCamil Staps2016-04-21 16:09:33 +0200
committerCamil Staps2016-11-30 19:11:42 +0100
commit6edae96e740344ccec3c63622d72fd6e1e2d6140 (patch)
tree14e98210ce4ad51a8351d1219181bf1987fab81f /bin
parenttw for tex (diff)
Check internet connection in setbg
Diffstat (limited to 'bin')
-rwxr-xr-xbin/setbg-texample4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/setbg-texample b/bin/setbg-texample
index e577b5b..5c06b6d 100755
--- a/bin/setbg-texample
+++ b/bin/setbg-texample
@@ -1,5 +1,9 @@
#!/bin/bash
+# Test internet
+wget -q --spider --timeout=2 https://google.com
+if [ $? -ne 0 ]; then exit -1; fi
+
SCR_WIDTH=1980
SCR_HEIGHT=1080
PADDING=50